Loading...
Searching...
No Matches
gridfire::exceptions::UnableToSetNetworkReactionsError Class Referencefinal

Exception for failures in setting network reactions. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::UnableToSetNetworkReactionsError:
[legend]
Collaboration diagram for gridfire::exceptions::UnableToSetNetworkReactionsError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for failures in setting network reactions.

This exception is thrown when the engine fails to properly set or initialize the reactions in the reaction network.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h